#!/bin/sh
#
# Scripted by JoungKyun Kim
# 2001.2.15 http://www.oops.org

TITLE="${HOSTNAME} MRTG Index Page"
WORK="/var/www/html/mrtg"
CONF="/etc/mrtg2/mrtg.cfg"
EXEC="/usr/sbin/mrtg2"

if [ -n "${2}" ] && [ -f "${2}" ]; then
  CONF=$2
fi

case "$1" in
  conf)
    if [ -f ${CONF} ]; then
      mv ${CONF} ${CONF}.back
      echo "Old mrtg.cfg moved mrtg.cfg.back"
    fi
    ROUTE=`cat /etc/sysconfig/network | grep ^GATEWAY= | awk -F = '{print $2}'`
    echo "WorkDir: ${WORK}" >> ${CONF}
    echo "Language: korea" >> ${CONF}
    /usr/sbin/cfgmaker public@$ROUTE >> ${CONF}
    
    ;;
  index)
    # Create index file
    echo -n "Create MRTG Index File"
    /usr/sbin/indexmaker --title="${TITLE}" --columns=1 --output="${WORK}/index.html" ${CONF}
    echo
    ;;
  log)
    # Create log file
    ${EXEC} ${CONF}
    ;;
  first)
    TMF=mrtg$$
    if [ -f ${CONF} ]; then
      mv ${CONF} ${CONF}.back
    fi
    if [ -f /etc/mrtg2/example.cfg ]; then
      cat /etc/mrtg2/example.cfg | sed -e s/PUTHOSTNAME/$HOSTNAME/g > /tmp/${TMF}
      mv /tmp/${TMF} ${CONF}
    fi
    ;;
  *)
    echo "Usage: $0 {conf|index|log}"

    echo "conf  - create mrtg config file"
    echo "index - create index file of mrtg"
    echo "log   - logging mrtg log"
    echo
    exit;
esac

exit 0
