Summary: Multi Router Traffic Grapher
Summary(ko): Ʈũ ͸ 
Name: mrtg
Version: 2.9.25
Release: 1kr
Copyright: GNU General Public License
Group: Networking/Utilities
Source0: http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/pub/mrtg-%{version}.tar.gz
Source1: mrtg.sh
Source2: example.cfg
Source3: cpuinfo
Source5: disk
Source6: ethernet
Source7: loadaverage
Source8: memory
Source9: noprocess
Source10: swap
Source11: io
Source12: process_snmp
Source100: example.cfg.snmp
Source101: snmp.conf.mrtg
Patch0: mrtg-rpm.patch
Patch1: mrtg-bin.patch
Patch2: mrtg-lib.patch
URL: http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig
Requires: apache, vixie-cron, gd > 1.6

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF images
which provide a LIVE visual representation of this traffic. Check
http://www.ee.ethz.ch/stats/mrtg/ for an example. MRTG is based on Perl
and C and works under UNIX and Windows NT. MRTG is being successfully
used on many sites around the net. Check the MRTG-Site-Map.

What is MRTG ()  
A short overview on what MRTG is, with additional sections on history, and highlights.  

%description -l ko
MRTG  Ʈũ ũ Ʈ ͸ϴ ̴. MRTG  PNG ̹
ǽð ־ Ʈ ǥ ϰ ȴ.   http://www.ee.ethz.ch/stats/mrtg/
 ϸ ȴ. MRTG  ް C   UNIX  Windows NT   ȴ.

%package doc
Summary: mrtg documents
Summary(ko): MRTG 
Group: Documentation

%description doc
mrtg documents

%description doc -l ko
MRTG 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .rpm
%patch1 -p1 -b .rpm
%patch2 -p1 -b .rpm
rm -rf $RPM_BUILD_ROOT

%build

# XXX hack around egcs -m486 bug (#3413, #3485)
%ifarch i386
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's|-m486||'`"
%endif

numprocs=$(cat /proc/cpuinfo | grep processor | wc | cut -c7)
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

CFLAGS="-fPIC $RPM_OPT_FLAGS" ./configure --prefix=/usr \
		--sysconfdir=/etc/mrtg2 \
		--with-gd

make MAKE="make -j$numprocs"

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/mrtg2
mkdir -p ${RPM_BUILD_ROOT}/usr/{lib,doc}
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/mrtg2
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/mrtg/img

make DESTDIR=$RPM_BUILD_ROOT install

# manualy install for added script - JoungKyun Kim
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}/etc/mrtg2/example.cfg
install -m644 %{SOURCE100} ${RPM_BUILD_ROOT}/etc/mrtg2/example.cfg.snmp
install -m755 %{SOURCE3} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/cpuinfo
install -m755 %{SOURCE5} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/disk
install -m755 %{SOURCE6} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/ethernet
install -m755 %{SOURCE7} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/loadaverage
install -m755 %{SOURCE8} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/memory
install -m755 %{SOURCE9} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/noprocess
install -m755 %{SOURCE10} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/swap
install -m755 %{SOURCE11} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/io
install -m755 %{SOURCE12} ${RPM_BUILD_ROOT}/usr/bin/mrtg2/process_snmp

# strip things
strip ${RPM_BUILD_ROOT}/usr/sbin/rateup
mv ${RPM_BUILD_ROOT}/usr/sbin/mrtg ${RPM_BUILD_ROOT}/usr/sbin/mrtg2
install -m700 %{SOURCE1} ${RPM_BUILD_ROOT}/usr/sbin/mrtg
chmod 700 ${RPM_BUILD_ROOT}/usr/sbin/mrtg2

mv ${RPM_BUILD_ROOT}/usr/share/doc/mrtg2 ${RPM_BUILD_ROOT}/usr/share/doc/mrtg-%{version}
install -m644 %{SOURCE101} ${RPM_BUILD_ROOT}/usr/share/doc/mrtg-%{version}/snmp.conf.mrtg

# moved image file to data directory
mv ${RPM_BUILD_ROOT}/usr/share/mrtg2/icons/*.gif ${RPM_BUILD_ROOT}/var/www/html/mrtg/img/
mv ${RPM_BUILD_ROOT}/usr/share/mrtg2/icons/*.png ${RPM_BUILD_ROOT}/var/www/html/mrtg/img/

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if [ -d /var/www/html/MRTG-data ]; then
  mv /var/www/html/MRTG-data /var/www/html/mrtg
fi

%post
if [ ! -f /etc/mrtg2/mrtg.cfg ]; then
  /usr/sbin/mrtg first
fi

echo
echo "#####################################################"

if [ "$LANG" != "ko" ]; then
  echo "  After configure /etc/mrtg2/mrtg.cfg,"
  echo "  excute mrtg log and mrtg index."
  echo "  See http://$HOSTNAME/mrtg/"
  echo "  If you used old example.cfg in /etc and"
  echo
  echo "  you will change memory and loadaverage section"
  echo "  in mrtg.cfg as new example.cfg"
  echo
  echo "  OOPS Development Organization http://www.oops.org"
else
  echo "  /etc/mrtg2/mrtg2   Ͻ Ŀ"
  echo "  mrtg log ɰ mrtg index   Ͻʽÿ"
  echo "  ش ׷ http://$HOSTNAME/mrtg/  "
  echo "  Ͻʽÿ"
  echo 
  echo "   example.cfg  ִٸ ̹ "
  echo "  example.cfg  loadaverage memory κ "
  echo "  Ͽ  mrtg.cfg   ּž մϴ."
  echo 
  echo "  OOPS Development Organization http://www.oops.org"
fi

echo "#####################################################"
echo

%files
%defattr(-,root,root)
%dir /etc/mrtg2
%dir /usr/bin/mrtg2
%dir /usr/lib/mrtg2
%dir /var/www/html/mrtg
%config /etc/mrtg2/example.cfg
%config /etc/mrtg2/example.cfg.snmp

/usr/sbin/cfgmaker
/usr/sbin/indexmaker
/usr/sbin/mrtg
/usr/sbin/mrtg2
/usr/sbin/rateup

/usr/bin/mrtg2/cpuinfo
/usr/bin/mrtg2/disk
/usr/bin/mrtg2/ethernet
/usr/bin/mrtg2/loadaverage
/usr/bin/mrtg2/memory
/usr/bin/mrtg2/noprocess
/usr/bin/mrtg2/swap
/usr/bin/mrtg2/io
/usr/bin/mrtg2/process_snmp

/usr/lib/mrtg2/BER.pm
/usr/lib/mrtg2/MRTG_lib.pm
/usr/lib/mrtg2/SNMP_Session.pm
/usr/lib/mrtg2/SNMP_util.pm
/usr/lib/mrtg2/locales_mrtg.pm
/usr/lib/mrtg2/Pod/InputObjects.pm
/usr/lib/mrtg2/Pod/Parser.pm
/usr/lib/mrtg2/Pod/PlainText.pm
/usr/lib/mrtg2/Pod/Select.pm
/usr/lib/mrtg2/Pod/Usage.pm
%dir /usr/lib/mrtg2/Pod

%{_mandir}/man1/cfgmaker.1.gz
%{_mandir}/man1/contrib.1.gz
%{_mandir}/man1/faq.1.gz
%{_mandir}/man1/forum.1.gz
%{_mandir}/man1/indexmaker.1.gz
%{_mandir}/man1/logfile.1.gz
%{_mandir}/man1/mibhelp.1.gz
%{_mandir}/man1/mrtg-rrd.1.gz
%{_mandir}/man1/mrtg.1.gz
%{_mandir}/man1/nt-guide.1.gz
%{_mandir}/man1/reference.1.gz
%{_mandir}/man1/squid.1.gz
%{_mandir}/man1/unix-guide.1.gz
%{_mandir}/man1/webserver.1.gz

/var/www/html/mrtg/img/mrtg-l.gif
/var/www/html/mrtg/img/mrtg-m.gif
/var/www/html/mrtg/img/mrtg-r.gif
/var/www/html/mrtg/img/mrtg-ti.gif
/var/www/html/mrtg/img/mrtg-l.png
/var/www/html/mrtg/img/mrtg-m.png
/var/www/html/mrtg/img/mrtg-r.png
/var/www/html/mrtg/img/mrtg-ti.png

%files doc
%defattr(-,root,root)
%dir /usr/share/doc/mrtg-%{version}
/usr/share/doc/mrtg-%{version}/*

%changelog
* Sat Nov 16 2002 JoungKyun Kim <http://www.oops.org> 2.9.22-1kr
- update 2.9.25
- fixed miss caculation on ethernet and disk script

* Thu Sep 26 2002 JoungKyun Kim <http://www.oops.org> 2.9.22-1kr
- update 2.9.22
- supported snmp
- changed data dir to /var/www/html/mrtg from /var/www/html/MRTG-data

* Thu May  3 2002 JoungKyun Kim <http://www.oops.org> 2.9.17-3kr
- fixed miss locale ment

* Sun Sep  9 2001 JoungKyun Kim <http://www.oops.org>
- patched design bug for Netscape 4.x

* Fri Sep  7 2001 JoungKyun Kim <http://www.oops.org>
- update 2.9.17
- added io scripts
- supported devfs
- modified noprocess, disk

* Mon Jun 18 2001 JoungKyun Kim <http://www.oops.org>
- change image type to png from gif
- adjusted in RH 7.1

* Wed May 23 2001 JoungKyun Kim <http://www.oops.org>
- modified noprocess script for mysql connection
- get rid of cpuinfo.php

* Fri May 11 2001 JoungKyun Kim <http://www.oops.org>
- updated 2.9.12a
- modified noprocess script
- changed graph color

* Mon Apr 16 2001 JoungKyun Kim <http://www.oops.org>
- modified cpuinfo script
- modified swap script
- modified ethernet script cause of changed in and out

* Fri Feb 16 2001 JoungKyun Kim <http://www.oops.org>
- modified check script for load avg. and memory
- modified example.cfg
- modified install script

* Fri Feb 02 2001 JoungKyun Kim <http://www.oops.org>
- packaged version 2.9.7
- added sample config file and script
- added mrtg utility script
